Skip to main content
POST
/
object-storage
/
rotate-keys
Rotate object storage keys
curl --request POST \
  --url https://api.example.com/object-storage/rotate-keys \
  --header 'Authorization: Bearer <token>'
{
  "org_id": "<string>",
  "access_key_id": "<string>",
  "secret_access_key": "<string>",
  "endpoint": "<string>",
  "region": "<string>",
  "profile_id": "<string>",
  "iam_username": "<string>",
  "status": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Response model for object-storage credentials and enable operations.

org_id
string
required

Organization ID

access_key_id
string
required

Access key ID

secret_access_key
string
required

Secret access key

endpoint
string
required

S3 endpoint URL

region
string
required

S3 region

profile_id
string | null

Unique profile identifier

iam_username
string | null

IAM username

status
string | null

Profile status

created_at
string | null

Creation timestamp (ISO 8601 datetime)

updated_at
string | null

Last update timestamp (ISO 8601 datetime)